ScheduleValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.ScheduleValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class ScheduleValue

    java.lang.Object
      org.hyperic.hq.scheduler.ScheduleValue

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ScheduleDailyValue, ScheduleMonthlyValue, ScheduleSingleValue, ScheduleWeeklyValue

    public abstract class ScheduleValue

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `ScheduleValue(java.util.Date start, java.util.Date end, int interval)`

Method Summary
`java.lang.String` | `getDescription()`
`java.util.Date` | `getEnd()`
`int` | `getInterval()`
`protected static java.lang.String` | `getNumberWithSuffix(int number)`
`abstract java.lang.String` | `getScheduleString()`
`java.util.Date` | `getStart()`
`void` | `setDescription(java.lang.String description)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleValue

    protected ScheduleValue(java.util.Date start,
                            java.util.Date end,
                            int interval)

Method Detail

### getScheduleString

    public abstract java.lang.String getScheduleString()

### getStart

    public java.util.Date getStart()

### getEnd

    public java.util.Date getEnd()

### getInterval

    public int getInterval()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getNumberWithSuffix

    protected static java.lang.String getNumberWithSuffix(int number)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.